name: supersetbot orglabel based on author

on:
  issues:
    types: [created, edited]

  pull_request:
    types: [created, edited]

jobs:
  superbot-orglabel:
    runs-on: ubuntu-22.04
    permissions:
      contents: read
      pull-requests: write
      issues: write
    steps:

      - name: "Checkout ${{ github.ref }} ( ${{ github.sha }} )"
        uses: actions/checkout@v4
        with:
          persist-credentials: false

      - name: Setup supersetbot
        uses: ./.github/actions/setup-supersetbot/

      - name: Execute supersetbot orglabel command
        env:
          GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
        run: |
          # Label the issue with the appropriate org using supersetbot
          # - this requires for the author to be publicly associated with their org
          # - and for the org to be listed in `supersetbot/src/metadata.js`
          supersetbot orglabel --issue ${{ github.event.number }} --repo ${{ github.repository }} || true
